Page MenuHomePhabricator

Left-most position inside a link is not considered active (regression)
Closed, ResolvedPublic1 Story Points

Description

Cursor right into a link, the first time the cursor moves into the link, the link does not become active and the context doesn't appear.

Bisect blames https://gerrit.wikimedia.org/r/#/c/433391/

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (73e80ba80)
VisualEditor/VisualEditor : masterannotationsAtFocus: Replace $.parents with $.closest

Event Timeline

Esanders created this task.May 29 2018, 1:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2018, 1:33 PM
Esanders renamed this task from Leftmost position inside a link is not considered active (regression) to Left-most position inside a link is not considered active (regression).May 29 2018, 1:37 PM

Change 436005 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] annotationsAtFocus: Replace $.parents with $.closest

https://gerrit.wikimedia.org/r/436005

Esanders triaged this task as High priority.May 29 2018, 1:41 PM
Esanders set the point value for this task to 1.
Esanders moved this task from To Triage to Current work on the VisualEditor board.
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 436005 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] annotationsAtFocus: Replace $.parents with $.closest

https://gerrit.wikimedia.org/r/436005

Change 436043 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (73e80ba80)

https://gerrit.wikimedia.org/r/436043

Change 436043 merged by Esanders:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (73e80ba80)

https://gerrit.wikimedia.org/r/436043

Deskana closed this task as Resolved.May 31 2018, 1:02 PM
Vvjjkkii renamed this task from Left-most position inside a link is not considered active (regression) to 82baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 82baaaaaaa to Left-most position inside a link is not considered active (regression).Jul 2 2018, 1:11 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.